package com.tanpu.community.api.beans.qo;

import com.tanpu.community.api.beans.vo.feign.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value = "附件对象")
public class AttachmentDetailVo {

    @ApiModelProperty(value = "产品")
    private ProductInfoVO productInfoVO;

    @ApiModelProperty(value = "直播")
    private ZhiboDetailVO zhiboDetailVO;

    @ApiModelProperty(value = "短视频")
    private ShortVideoBaseInfoResp shortVideoBaseInfoResp;

    @ApiModelProperty(value = "课程")
    private CoursePackageDetail coursePackageDetail;

}
